Fork me on GitHub
Current releases are 2.1.3 (9 Sept 2014) and 2.0.18.13 (5 Aug 2014)

Ready for 2.1? Find out if your favorite plugins are compatible. The 2.0 branch will no longer receive updates after Dec 2014.

Error in configure the Forum Vanilla 2 (English/German)

edited July 2011 in Vanilla 2.0 Help
Hey Guys, i am from Germany but i speek (a littel bit) english. I Have a question.
I will Upgrade my forum from Vanilla1 to Vanilla2 but when i fill all the boxes to configure the forum he says me :

You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'where name = 'GDN_AnalyticsLocal'' at line 1|Gdn_Database|Query|show table status where name = 'GDN_AnalyticsLocal'

what i have to do ?

Pleas anser in english or german ;D

Answers

  • I will not upgrade from Vanilla1 to Vanilla2, i know that's not to do, but i will have Vanilla 2.0.18
  • I am experiencing the exact same error message, but do not have a solution yet. I was attempting to update from Vanilla 2.0.14 to Vanilla 2.0.17, and receive this error message after I click "Continue" from the Vanilla Version 2 Installer screen:
    You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'where name = 'GDN_AnalyticsLocal'' at line 1|Gdn_Database|Query|show table status where name = 'GDN_AnalyticsLocal'
    I know I'm entering all the correct info in the form as I pulled it all from the old config.php file. I think the problem may be a compatibility issue between this version of Vanilla 2 and the MySQL run by my hosting provider (media temple). I don't know enough about MySQL to figure it out on my own, though. Anyone have any ideas?

    Thanks!
  • p.s.: I have a support request pending with my hosting provider, but have not heard back from them yet. I will report back here if they come up with a solution.
  • My hosting provider pointed out that I'm only running MySQL 4, so that is likely the problem. I'm in the process of upgrading to MySQL 5 now, and will report back on whether this fixes things.
Sign In or Register to comment.